Access to ESRI Geodatabase not supported in 64 bit version

yianniyianni Global Mapper UserPosts: 101Trusted User
Hi,

why is ESRI Geodatabase not supported in 64 bit version? I take it I need to download the 32 bit for it to work?

Are there any plans to amend that in future versions and include the 64bit as well or are the two incompatible by default?

Thanks

Best Answer

  • bmg_bobbmg_bob Global Mapper Programmer Posts: 2,218
    Answer ✓
    The Esri software functions that we use to read the geodatabase are only supplied as 32-bit versions, and are not compatible with a 64-bit application.  These functions require that you have a valid Esri license.  You have to use these functions if you are reading an ArcSDE database, or a File Geodatabase created with an ArcGIS version before version 10, or raster data from any geodatabase.

    If you are trying to read vector features from a File Geodatabase created with ArcGIS 10 or later, or a Personal Geodatabase (.mdb file) then you can read it using either 32-bit or 64-bit Global Mapper, and you don't need an Esri license.

    I am sorry this is so confusing, but this is due to Esri licensing issues, and is not under our control. 
Sign In or Register to comment.